Gocator API

- Home
- Topics
- Types
- Files

All Classes Files Functions Variables Typedefs Macros Modules Pages
Public Member Functions
GoProfileIntensityMsg Class Reference
GoSdk/Messages » Data Channel

## Description

Represents a data message containing a set of profile intensity arrays.

Note
  Supported with G1, G2

Inheritance diagram for GoProfileIntensityMsg:

## Public Member Functions
kStatus | GoDataMsg_SetStreamStep (GoDataMsg message, GoDataStep streamStep)
| Sets the source of the data stream. More...
kStatus | GoDataMsg_SetStreamStepId (GoDataMsg message, k32s streamStepId)
| Sets the identifier of the data stream from the source. More...
GoDataStep | GoDataMsg_StreamStep (GoDataMsg message)
| Gets the source of the data stream. More...
k32s | GoDataMsg_StreamStepId (GoDataMsg message)
| Gets the identifier of the data stream from the source. More...
GoDataMessageType | GoDataMsg_Type (GoDataMsg message)
| Returns the message type for a data channel message given in a GoDataSet. More...
k8u * | GoProfileIntensityMsg_At (GoProfileIntensityMsg msg, kSize index)
| Gets a pointer to a profile intensity array. More...
k8u | GoProfileIntensityMsg_CameraIndex (GoProfileIntensityMsg msg)
| Gets the source camera index. More...
kSize | GoProfileIntensityMsg_Count (GoProfileIntensityMsg msg)
| Gets the count of profile intensity arrays in this message. More...
k32u | GoProfileIntensityMsg_Exposure (GoProfileIntensityMsg msg)
| Gets the exposure. More...
GoDataSource | GoProfileIntensityMsg_Source (GoProfileIntensityMsg msg)
| Gets the profile source. More...
kSize | GoProfileIntensityMsg_Width (GoProfileIntensityMsg msg)
| Gets the count of intensity values in each profile intensity array. More...
k32s | GoProfileIntensityMsg_XOffset (GoProfileIntensityMsg msg)
| Gets the profile x-offset, in micrometers. More...
k32u | GoProfileIntensityMsg_XResolution (GoProfileIntensityMsg msg)
| Gets the x-resolution, in nanometers. More...

The documentation for this class was generated from the following file:

- Messages/GoDataTypes.h